# Class PushedLocation

java.lang.Object
nu.validator.htmlparser.impl.PushedLocation

public class PushedLocation extends Object

## Constructor Summary

Constructors
Constructor
Description
`PushedLocation(int line, int linePrev, int col, int colPrev, boolean nextCharOnNewLine, String publicId, String systemId, PushedLocation next)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCol()`
Returns the col.
`int`
`getColPrev()`
Returns the colPrev.
`int`
`getLine()`
Returns the line.
`int`
`getLinePrev()`
Returns the linePrev.
`PushedLocation`
`getNext()`
Returns the next.
`String`
`getPublicId()`
Returns the publicId.
`String`
`getSystemId()`
Returns the systemId.
`boolean`
`isNextCharOnNewLine()`
Returns the nextCharOnNewLine.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PushedLocation

public PushedLocation(int line, int linePrev, int col, int colPrev, boolean nextCharOnNewLine, String publicId, String systemId, PushedLocation next)

Parameters:
  `line` -
  `linePrev` -
  `col` -
  `colPrev` -
  `nextCharOnNewLine` -
  `publicId` -
  `systemId` -
  `next` -

## Method Details

### getLine

public int getLine()
Returns the line.

Returns:
  the line

### getLinePrev

public int getLinePrev()
Returns the linePrev.

Returns:
  the linePrev

### getCol

public int getCol()
Returns the col.

Returns:
  the col

### getColPrev

public int getColPrev()
Returns the colPrev.

Returns:
  the colPrev

### isNextCharOnNewLine

public boolean isNextCharOnNewLine()
Returns the nextCharOnNewLine.

Returns:
  the nextCharOnNewLine

### getPublicId

public String getPublicId()
Returns the publicId.

Returns:
  the publicId

### getSystemId

public String getSystemId()
Returns the systemId.

Returns:
  the systemId

### getNext

public PushedLocation getNext()
Returns the next.

Returns:
  the next